/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/
package org.eclipse.birt.test.performance.reporting.model;

import org.eclipse.birt.test.performance.reporting.xml.XMLReportVisitor;


public class Duration extends BaseNode
{
	private String reportId = null;
	private float measure = 0.0f;
	private String unit = "ms";
	
	/**
	 * @return Returns the measure.
	 */
	public float getMeasure( )
	{
		return measure;
	}
	
	/**
	 * @param measure The measure to set.
	 */
	public void setMeasure( float measure )
	{
		this.measure = measure;
	}
	
	/**
	 * @return Returns the reportId.
	 */
	public String getReportId( )
	{
		return reportId;
	}
	
	/**
	 * @param reportId The reportId to set.
	 */
	public void setReportId( String reportId )
	{
		this.reportId = reportId;
	}
	
	/**
	 * @return Returns the unit.
	 */
	public String getUnit( )
	{
		return unit;
	}
	
	/**
	 * @param unit The unit to set.
	 */
	public void setUnit( String unit )
	{
		this.unit = unit;
	}

	public void accept( XMLReportVisitor visitor )
	{
		visitor.visit( this );
	}
}
